# $Revision: 1.22 $, $Date: 2009/10/02 08:29:23 $
Summary:	X.org video driver for Trident video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych Trident
Name:		xorg-driver-video-trident
Version:	1.3.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-trident-%{version}.tar.bz2
# Source0-md5:	47f3c5da1942017218355f178f02ef84
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-trident < 1:7.0.0
Obsoletes:	XFree86-Trident
Obsoletes:	XFree86-driver-trident < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Trident video adapters. It supports PCI, AGP
and ISA video cards based on the following chips: Blade (Blade3D,
CyberBlade series i1, i7 (DSTN), i1, i1 (DSTN), Ai1, Ai1 (DSTN),
CyberBlade/e4, CyberBladeXP, CyberBladeAi1/XP, BladeXP), Image
(3DImage975, 3DImage985, Cyber9520, Cyber9525, Cyber9397,
Cyber9397DVD), ProVidia (9682, 9685, Cyber9382, Cyber9385, Cyber9388),
TGUI (9440AGi, 9660, 9680), ISA/VLBus (8900C, 8900D, 9000, 9200CXr,
Cyber9320, 9400CXi, 9440AGi).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych Trident. Obsługuje karty
PCI, AGP i ISA oparte na następujących układach: Blade (Blade3D,
CyberBlade z serii i1, i7 (DSTN), i1, i1 (DSTN), Ai1, Ai1 (DSTN),
CyberBlade/e4, CyberBladeXP, CyberBladeAi1/XP, BladeXP), Image
(3DImage975, 3DImage985, Cyber9520, Cyber9525, Cyber9397,
Cyber9397DVD), ProVidia (9682, 9685, Cyber9382, Cyber9385, Cyber9388),
TGUI (9440AGi, 9660, 9680), ISA/VLBus (8900C, 8900D, 9000, 9200CXr,
Cyber9320, 9400CXi, 9440AGi).

%prep
%setup -q -n xf86-video-trident-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/trident_drv.so
%{_mandir}/man4/trident.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-trident.spec,v $
Revision 1.22  2009/10/02 08:29:23  arekm
- release 2

Revision 1.21  2009/09/20 06:23:38  arekm
- up to 1.3.3

Revision 1.20  2009/08/20 06:04:16  amateja
- updated to 1.3.2

Revision 1.19  2009/02/25 21:44:35  arekm
- up to 1.3.1

Revision 1.18  2009/02/25 21:07:37  arekm
- release 5

Revision 1.17  2008/08/30 16:34:47  arekm
- release 4

Revision 1.16  2008/07/01 16:12:14  arekm
- release 3

Revision 1.15  2008-04-25 23:21:50  glen
- typo in obsoletes (confuses repodata!); rel 2

Revision 1.14  2008-03-19 19:57:31  arekm
- up to 1.3.0

Revision 1.13  2008-02-29 07:26:11  arekm
- up to 1.2.4

Revision 1.12  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.11  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.10  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.9  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.7  2006/11/04 16:55:01  qboosh
- updated to 1.2.3

Revision 1.6  2006/10/18 07:59:42  qboosh
- updated to 1.2.2

Revision 1.5  2006/04/11 12:48:48  qboosh
- updated to 1.2.1

Revision 1.4  2006/01/10 10:55:31  qboosh
- 1.0.1.2 (X11R7.0 release)

Revision 1.3  2005/12/08 14:51:14  qboosh
- 1.0.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 16:32:13  qboosh
- 1.0.0.2 (X11R7.0-RC2)

Revision 1.1  2005/10/31 00:22:50  qboosh
- new
